Foreman - Feature #4222

API support for looking up compute resource networks, clusters, volumes etc
01/30/2014 09:48 AM - James Netherton

Status: Closed

Priority: Normal

Assignee: James Netherton

Category: API

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

It'd be useful to be able to retrieve compute resource networks, clusters, volumes information from the API.
As per my comments here:

https://groups.google.com/forum/#!topic/foreman-dev/VRx1Q0svgcY

I'm working to add relevant hooks for this to work with Ovirt.

Related issues:

Related to Foreman - Feature #4581: Implement available_networks API for VMware Closed 03/06/2014
Related to Foreman - Bug #4592: Ovirt template ids needed to create a host vi... New 03/07/2014
Related to Hammer CLI - Feature #4593: Expose compute resource networks, clus... Duplicate

Associated revisions

Revision ea49a05e - 02/19/2014 03:28 PM - James Netherton

fixes #4222 Add capability to compute resource API to retrieve cluster,network,storage info on oVirt

History

#1 - 02/19/2014 03:27 PM - Dominic Cleal

- Category set to API

- Status changed from New to Ready For Testing
- Assignee set to James Netherton

- Target version set to 1.9.1

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1212

#2 - 02/19/2014 03:31 PM - James Netherton
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ea49a05eef214deb87a11819535b368c78614bc9.

#3 - 03/06/2014 08:27 PM - Dominic Cleal
- Related to Feature #4581: Implement available_networks API for VMware added

#4 - 03/07/2014 04:57 PM - Dominic Cleal
- Related to Bug #4592: Ovirt template ids needed to create a host via hammer added
https://groups.google.com/forum/#!topic/foreman-dev/VRx1Q0svqcY
#5 - 03/07/2014 05:12 PM - Dominic Cleal

- Related to Feature #4593: Expose compute resource networks, clusters, volumes etc in hammer added
